Last Comment Bug 758083 - Make manifest paths consistent with openwebapps manifest paths
: Make manifest paths consistent with openwebapps manifest paths
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86_64 Windows Vista
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 1112049
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 17:47 PDT by Mark Hammond [:markh]
Modified: 2014-12-16 04:29 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mark Hammond [:markh] 2012-05-23 17:47:00 PDT
We should make the manifest consistent with OWA - https://developer.mozilla.org/en/Apps/Manifest#path-handling and specifically, "All fields that hold paths in the manifest must be absolute paths (for example, '/images/myicon.png'), and are served from the same origin as the app."

So in practice this means:
* ALL paths in the manifest must be absolute and relative to the origin.
* If we really need URLPrefix, it should follow the same rules.  However, ideally this would actually be optional
Comment 1 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-05-24 13:30:08 PDT
cool!  pushed to git and hg.  URLPrefix is gone, replaced with the ability to define origin in a builtin manifest.

https://github.com/mozilla/socialapi-dev/commit/6a35483cec70a946846125e38f2ec49752dba842

Note You need to log in before you can comment on or make changes to this bug.